Skip to Content
Hive
API Referencev1Coverage

Get Dedicated Circuit Coverage

GET
/v1/coverage/dedicated

Retrieve dedicated-access circuit coverage for the specified address.

Query Parameters

streetEgon*string

The EGON code of the street

mainEgon*string

The EGON code of the main connection point

streetNumber*string

The street number

Response Body

Dedicated circuit coverage retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/coverage/dedicated?streetEgon=string&mainEgon=string&streetNumber=string'
Example Response
[  {    "providerId": 0,    "providerName": "string",    "speedLimit": 0.1,    "speedComplete": "string",    "multipleConnection": true,    "distance": 0.1,    "connectionType": "string",    "connectionElementName": "string",    "connectionCLLi": "string",    "serviceName": "string",    "serviceDescription": "string",    "oloServiceId": 0,    "oloTypeProduct": "string",    "oloTypeService": "string",    "fiberRange": "string",    "coverage": true,    "idBuilding": "string",    "headerId": "string",    "connectionElementDetail": "string",    "statusCode": "string",    "statusDescription": "string"  }]